Missing lib files when compiling audacity 1.2.6

Building and customizing Audacity from the source code.

If you require help using Audacity, please post on the forum board relevant to your operating system:
Windows
Mac OS X
GNU/Linux and Unix-like

Missing lib files when compiling audacity 1.2.6

Permanent link to this post Posted by mehrdad_58 » Fri Nov 13, 2015 4:53 am

Dear Experts,
Hi
I have downloaded source code of 1.2.6 version of audacity.
Then I download wdWindows 2.4.2 and setup it correctly.

Now when I try to compile audacity it lacks following static lib files:
libFLACd.lib
wxmswd.lib
soundtouchd.lib

If there is some where how I could download all library files please let me know.

BR

Mehrdad,
mehrdad_58
 
Posts: 1
Joined: Fri Nov 13, 2015 4:30 am
Operating System: Please select

Re: Missing lib files when compiling audacity 1.2.6

Permanent link to this post Posted by Gale Andrews » Fri Nov 13, 2015 10:52 am

Audacity 1.2.6 is no longer supported as of several years ago. It requires the long obsolete Visual Studio 2003 which you will only be able to run on an obsolete version of Windows.

The current Audacity release is 2.1.1 http://audacityteam.org/download/source.

If you would like help compiling 2.1.1 please ask a new question.


Gale
________________________________________FOR INSTANT HELP: (Click on Link below)
* * * * * Tips * * * * * Tutorials * * * * * Quick Start Guide * * * * * Audacity Manual
Gale Andrews
Quality Assurance
 
Posts: 26087
Joined: Fri Jul 27, 2007 12:02 am
Operating System: Windows 10


Return to Compiling Audacity



Who is online

Users browsing this forum: No registered users and 1 guest